package main;

#  The base name for all document cross reference roots.
#  For local documents this would be:
#     $DOCBASE = '/star/docs/';
#  And for remote documents at RAL:
$DOCBASE = 'http://www.starlink.ac.uk/cgi-bin/htxserver/';

sub do_cmd_xref{
   my $arg = shift;
   my ($text, $docname, $label);
   $arg =~ s/$next_pair_pr_rx/$text = $2; ''/eo;
   $arg =~ s/$next_pair_pr_rx/$docname = $2; ''/eo;
   $arg =~ s/$next_pair_pr_rx/$label = $2; ''/eo;
   # Default for local documents would be:
   #join('','<A HREF="',$DOCBASE,$docname,'.htx/',$docname,'.html#xref_',$label,'">',$text,'</A>',$arg);
   # And for remote ones (notice?).
   join('','<A HREF="',$DOCBASE,$docname,'.htx/',$docname,'.html?xref_',$label,'">',$text,'</A>',$arg);
}

sub do_cmd_xlabel{
   local($_) = @_;
   my $label;
   s/$next_pair_pr_rx/$label = $2; ''/eo;
   $label =~ s/\n//g;
   $label =~ s/ //g;
   $label =~ s/\t//g;
   $label = 'xref_' . $label;
   &anchor_label( $label, $CURRENT_FILE, $_);
}

sub do_env_quote {
   join('',"<BLOCKQUOTE>","@_","</BLOCKQUOTE>");
}
sub do_env_quotation {
   join('',"<BLOCKQUOTE>","@_","</BLOCKQUOTE>");
}
sub do_env_verse {
   join('',"<BLOCKQUOTE>","@_","</BLOCKQUOTE>");
}

1;# This must be the last line

